from paddleocr import PaddleOCRVL

pipeline = PaddleOCRVL(device='DCU')
# pipeline = PaddleOCRVL(use_doc_orientation_classify=True) # 通过 use_doc_orientation_classify 指定是否使用文档方向分类模型
# pipeline = PaddleOCRVL(use_doc_unwarping=True) # 通过 use_doc_unwarping 指定是否使用文本图像矫正模块
# pipeline = PaddleOCRVL(use_layout_detection=False) # 通过 use_layout_detection 指定是否使用版面区域检测排序模块
output = pipeline.predict("doc/paddleocr_vl_demo.png")
for res in output:
    res.print() ## 打印预测的结构化输出
    res.save_to_json(save_path="output-jpg") ## 保存当前图像的结构化json结果
    res.save_to_markdown(save_path="output-jpg") ## 保存当前图像的markdown格式的结果
